Page MenuHomePhabricator

Minimal client REST API
Open, MediumPublic

Description

This is an epic task, for creating the minimal API functionality necessary for building a wiki client (mobile, desktop, web).

It includes the following endpoints:

EndpointUser storyTicket
GET /page/{title}"As a Contributor, I want to get the source code for a page, so that I can edit it locally."T229663: Contributor gets page source
POST /page/"As a Contributor, I want to create a new page, so that I can add information to the project."T230842: Contributor creates a page
PUT /page/{title}"As a Contributor, I want to update a page, so that I can include more information or restructure the content."T230843: Contributor updates a page
GET /search/page?q={search term}"As a Reader, I want to get a list of pages that match a search term, so that I can find pages about a topic I’m interested in."T230844: Reader searches for a topic
GET /page/{title}/links/media"As a Reader, I want to get a list of media files embedded in a page, so that I can view, read or listen to them. "T230845: Reader gets media links
GET /page/{title}/links/language"As a Reader, I want to get a list of alternate language versions of a page, so that I can switch to another language version."T230846: Reader gets language links
GET /file/{title}"As a Reader, I want to get the current version of a media file, so I can read, view or listen to it. "T230848: Reader gets file description
GET /page/{title}/with_html"As a Reader, I want to get a page and its contents, so that I can read it whenever I want."T234375: Reader reads a page offline
GET /page/{title}/bare"As a Reader, I want to get a page online, so that I can read it with my browser or HTML widget and it will load fast."T234377: Reader reads a page online
GET /page/{title}/html" " "" "

Related Objects

StatusSubtypeAssignedTask
Openeprodromou
Openeprodromou
Resolvednnikkhoui
InvalidNone
Invalidapaskulin
Declinednnikkhoui
Opendaniel
InvalidNone
Invalidapaskulin
Opendaniel
InvalidNone
Invalidapaskulin
Opendaniel
Resolveddaniel
Resolvednnikkhoui
InvalidNone
Invalidapaskulin
Resolvednnikkhoui
Openeprodromou
OpenNone
Openeprodromou
Opendaniel
Openeprodromou
OpenNone
Resolvedtstarling
Resolvedeprodromou
InvalidNone
Invalidapaskulin
Resolvedeprodromou
InvalidNone
InvalidNone
Invalidapaskulin
Invalidapaskulin
Openeprodromou
Openeprodromou

Event Timeline

EvanProdromou updated the task description. (Show Details)
eprodromou updated the task description. (Show Details)Oct 4 2019, 4:47 PM
eprodromou set the point value for this task to 89.
eprodromou removed the point value for this task.Oct 9 2019, 7:14 PM
eprodromou updated the task description. (Show Details)
eprodromou added a subscriber: Pchelolo.EditedNov 12 2019, 8:08 PM

@Pchelolo I've updated all the endpoints that talked about the "content model of the page" so they now talk about the "content model of the main slot of the page". I think that should get us clear of T230607 and keep the process moving forward.

eprodromou updated the task description. (Show Details)Nov 14 2019, 9:34 PM

@Pchelolo We talked about finding a way to review the API quickly. If the table format in this epic description works for you, I can do it for the other epics in the initiative, and I can do a big table at the initiative level.

Naike closed this task as Resolved.May 22 2020, 7:13 AM
eprodromou reopened this task as Open.Jun 10 2020, 4:02 PM

This is still open since the routes aren't released in v1.